/*
 * c1.p.c
 * Copyright (C) 2006-2013, 2016, 2017, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <c1-inter.h>

int
_x1f4_c1_long_note(struct c1_program_type *program_data,
		   struct c1_node_type *node_data, int *note, void *back,
		   int (*call)(void *), int status)
{
    if (status || node_data != program_data->line || !node_data->node_data) {
	int excess;

	excess = call(back);
	if (excess) {
	    if (status) {
	    } else {
		status = excess;
	    }
	} else {
	    *note = 0;
	}
    }

    return status;
}
