/*
 * lxcast-e.r.c
 * Copyright (C) 2010-2012, 2014-2017, 2021, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>

#include <lxcast-inter.h>
#include <lxnote.h>

static const struct x1f4_lxnote_type fail_note = {
/* *INDENT-OFF* */
    _libx1f4i0_lxlong_bset_long,
    _libx1f4i0_lxcast_cfix_cast,
    NULL,
    NULL,
    _libx1f4i0_lxcast_fini_cast,
    NULL,
    _libx1f4i0_lxcast_fset_cast,
    NULL,
    _libx1f4i0_lxcast_lock_cast,
    _libx1f4i0_lxlong_near_long,
    NULL,
    _libx1f4i0_lxcast_pset_cast,
    NULL,
    NULL,
    _libx1f4i0_lxcast_tile_cast,
    _libx1f4i0_lxcast_tune_cast,
    _libx1f4i0_lxlong_uset_long,
    NULL,
    NULL,
    X1f4_LXNOTE_LOCKCAST | X1f4_LXNOTE_ODDCOUNT | X1f4_LXNOTE_SIDELIST
/* *INDENT-ON* */
};

int
x1f4_note_lxcast(const struct x1f4_lxnote_type **lxnote)
{
    *lxnote = &fail_note;

    return 0;
}
