/*
 * lxdata-l.f.c
 * Copyright (C) 2008-2010, 2013, 2014, 2018, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <string.h>

#include <e4.h>
#include <lxdata-drive.h>
#include <lxdata-inter.h>
#include <lxdata-size.h>

int
_libx1f4i0_lxdata_f_logique(void *context, void *output, void **input)
{
    char *cast;
    int status;
    struct dxdata_type *dxdata_data;

    dxdata_data = I_DATA(input[0]);

    cast = I_TEXT(input[1]);

    status = _libx1f4i0_lxdata_land_data
	(context, dxdata_data, cast, strlen(cast));
    if (status) {
    } else {
	l_DATA(dxdata_data, output);
    }

    return status;
}
