/*
 * lxline-m.p.c
 * Copyright (C) 2008-2014, 2016, 2017, 2019, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>

#include <e4.h>
#include <fd.h>
#include <l_note.h>
#include <lxline-drive.h>
#include <lxline-inter.h>
#include <lxline-types.h>

int
_libx1f4i0_lxline_p_class_m(void *context, void *output, void **input)
{
    int status;

    {
	struct dxline_type *dxline_data;
	struct lxtext_type *lxtext_data;
	void *data;

	lxtext_data = context;

	dxline_data = I_LINE(input[0]);

	if (0) {
	} else {
	    status = _libx1f4i0_post_sfnote
		(dxline_data->line, I_TEXT(input[1]),
		 effect_size, &data);
	    if (status) {
		status = _libx1f4i0_lxline_stat_text
		    (lxtext_data->text, status, I_TEXT(input[1]));
	    } else {
#define type				X1f4_E4_MODE

		X1f4_E4_C_MODE trip;

		type_effect(data, type);

		link_effect(data, ~0);

		dxline_data->size++;

		trip = I_MODE(input[2]);

		l_MODE(trip, effect_data(data));
		l_MODE(trip, output);

#undef type
	    }
	}
    }

    return status;
}
