/*
 * lxmath-inter.h
 * Copyright (C) 2008-2012, 2017-2019, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LIBx1f4_lxmath_inter_H__
#define __LIBx1f4_lxmath_inter_H__

#include <e4.h>
#include <lxmath-types.h>
#include <lxwide.h>

#define _libx1f4i0_lxmath_bset_math	x1f4_bset_lxmath
#define _libx1f4i0_lxmath_fini_math	x1f4_fini_lxmath
#define _libx1f4i0_lxmath_fset_math	x1f4_fset_lxmath
#define _libx1f4i0_lxmath_init_math	x1f4_init_lxmath
#define _libx1f4i0_lxmath_near_math	x1f4_near_lxmath
#define _libx1f4i0_lxmath_tile_math	x1f4_tile_lxmath

extern int _libx1f4i0_lxmath_bset_math
    (void *, const struct x1f4_operator_type **);
extern int _libx1f4i0_lxmath_i120808_0(void *, void *, void **);
extern int _libx1f4i0_lxmath_i120808_1(void *, void *, void **);
extern int _libx1f4i0_lxmath_i120808_2(void *, void *, void **);
extern int _libx1f4i0_lxmath_i120808_3(void *, void *, void **);
extern int _libx1f4i0_lxmath_i120813_0(void *, void *, void **);
extern int _libx1f4i0_lxmath_i120813_1(void *, void *, void **);
extern int _libx1f4i0_lxmath_i120813_2(void *, void *, void **);
extern int _libx1f4i0_lxmath_i120813_3(void *, void *, void **);
extern int _libx1f4i0_lxmath_i120813_4(void *, void *, void **);
extern int _libx1f4i0_lxmath_i120813_5(void *, void *, void **);
extern int _libx1f4i0_lxmath_i120813_6(void *, void *, void **);
extern int _libx1f4i0_lxmath_i120813_7(void *, void *, void **);
extern int _libx1f4i0_lxmath_i120813_8(void *, void *, void **);
extern int _libx1f4i0_lxmath_i190517_0(void *, void *, void **);
extern int _libx1f4i0_lxmath_i190517_1(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120808_0(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120808_1(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120808_2(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120808_3(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120808_4(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120808_5(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120808_6(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120808_7(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120808_8(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120810_0(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120810_1(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120810_3(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120810_4(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120811_0(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120811_1(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120811_2(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120811_3(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120811_4(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120811_5(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120811_6(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120811_7(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120811_8(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120812_0(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120812_1(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120812_3(void *, void *, void **);
extern int _libx1f4i0_lxmath_j120812_4(void *, void *, void **);
extern int _libx1f4i0_lxmath_k171228_0(void *, void *, void **);
extern int _libx1f4i0_lxmath_k171228_1(void *, void *, void **);
extern int _libx1f4i0_lxmath_k171228_2(void *, void *, void **);
extern int _libx1f4i0_lxmath_k171228_3(void *, void *, void **);
extern int _libx1f4i0_lxmath_k171228_4(void *, void *, void **);
extern int _libx1f4i0_lxmath_k171228_5(void *, void *, void **);
extern int _libx1f4i0_lxmath_k180107_0(void *, void *, void **);
extern int _libx1f4i0_lxmath_k180107_1(void *, void *, void **);
extern int _libx1f4i0_lxmath_k180107_2(void *, void *, void **);
extern int _libx1f4i0_lxmath_k180107_3(void *, void *, void **);
extern int _libx1f4i0_lxmath_k180107_4(void *, void *, void **);
extern int _libx1f4i0_lxmath_k180107_5(void *, void *, void **);
extern int _libx1f4i0_lxmath_fini_math(void **);
extern int _libx1f4i0_lxmath_fset_math
    (void *, const struct x1f4_linetext_type **);
extern int _libx1f4i0_lxmath_init_math
    (void **, unsigned, const struct screen_type *);
extern int _libx1f4i0_lxmath_near_math(void *);
extern int _libx1f4i0_lxmath_stat_clip(void *, double, double);
extern int _libx1f4i0_lxmath_stat_head(void *, long, long);
extern int _libx1f4i0_lxmath_stat_real(void *, double);
extern int _libx1f4i0_lxmath_stat_spin(void *, double, double);
extern int _libx1f4i0_lxmath_stat_zero(void *);
extern int _libx1f4i0_lxmath_tile_math
    (void **, unsigned, struct x1f4_lxwide_type *, unsigned, const void *);

#endif				/* __LIBx1f4_lxmath_inter_H__ */

