/*
 * lxvery-e.b.c
 * Copyright (C) 2008-2011, 2013, 2015, 2021, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <lxvery-types.h>

#define dxvery(line) \
    ((struct dxvery_type *) (line))

int
x1f4_node_lxvery(void *subtext, void **copy, void *line,
		 const struct excase_type *excase_data)
{
    *copy = line;

    dxvery(line)->call++;

    return 0;
}
