/*
 * lxline-p.u.c
 * Copyright (C) 2011-2017, 2019, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <e4.h>
#include <lxline-drive.h>
#include <lxline-inter.h>
#include <lxline-types.h>

extern const void *const x1f4_a1_walk_link;

int
_libx1f4i0_lxline_u_pending(void *context, void *output, void **input)
{
    struct dxline_type *dxline_data;
    void **track;

    if (output == x1f4_a1_walk_link) {
	track = input[1];
    } else {
	track = input;
    }

    dxline_data = I_LINE(track[0]);

    return _libx1f4i0_lxrail_u_pending
	(context, output, input, track, dxline_data, dxline_data->size,
	 "r_ucall", _libx1f4i0_lxline_ever_line);
}

