/*
 * lxlong-e.o.c
 * Copyright (C) 2013, 2017, 2021, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <e4.h>
#include <lxlong-types.h>

#define lxlong(lxlong) \
    ((struct lxlong_type *) (lxlong))

int
x1f4_near_lxlong(void *lxlong)
{
    struct x1f4_operator_type **operator;
    unsigned count = 0;

    operator = lxlong(lxlong)->link_f.side;
    while (*operator) {
	count++;
	operator++;
    }

    return count;
}
