/*
 * lxpoll-i.m.c
 * Copyright (C) 2014, 2017, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>

#include <lxpoll-inter.h>
#include <lxpoll-types.h>

int
_libx1f4i0_lxpoll_free_file(struct lxpoll_type *lxpoll_data, void *file,
			    struct dxpoll_type *dxpoll_data)
{
    void *class[3];

    class[0] = file;
    class[1] = f_direct(dxpoll_data);
    class[2] = lxpoll_data->link_k.file;

    return _libx1f4i0_lxpoll_free_line(lxpoll_data, NULL, class, dxpoll_data);
}
