/*
 * lxpost.h
 * Copyright (C) 2015, 2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LIBx1f4_lxpost_H__
#define __LIBx1f4_lxpost_H__

#include <lxnova.h>
#include <nt.h>

#undef ever_a

#define ever_a				ever_p.rule_1.nice_1.east_1

#undef link_e
#undef link_m
#undef link_v
#undef link_w

#define link_e				ever_p.rule_1.nice_1.east_1.diff_e
#define link_m				ever_p.rule_1.nice_1.east_1.diff_m
#define link_v				ever_p.rule_1.nice_1.east_1.diff_v
#define link_w				ever_p.rule_1.nice_1.east_1.diff_w

#undef link_f
#undef trap_e

#define link_f				ever_p.rule_1.nice_1.east_f
#define trap_e				ever_p.rule_1.nice_1.east_e

#undef link_t

#define link_t				ever_p.rule_1.nice_t

#define link_s				ever_p.rule_s

typedef struct lxpost_type {
    struct lxnova_type rule_1;
    struct {
	struct x1f4_nodetype_type nodetype[2];
    } rule_s;
} lxpost_type;

#endif				/* __LIBx1f4_lxpost_H__ */
